Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWAction
Class Commit

    java.lang.Object
      |
      +--oracle.AWAction.AWAction
            |
            +--oracle.AWAction.Commit

public class Commit
extends AWAction

An `AWAction` that specifies committing to the relational database the changes you have made to an analytic workspace object.

Constructor Summary
`Commit(Interaction input)` Creates a `Commit` action object in the specified `Interaction`.

Method Summary
`void` | `Execute()` Commits the analytic workspace.
`java.lang.String` | `getAWName()` Gets the name of the analytic workspace to commit.
`void` | `setActiveObject(BaseObject input)` Makes an analytic workspace the active object.
`void` | `setAWName(java.lang.String input)` Specifies the name of the analytic workspace.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `Commit` object.

Methods inherited from class oracle.AWAction.AWAction
`getActiveObject, getOwner, setOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Commit

    public Commit(Interaction input)

  Creates a `Commit` action object in the specified `Interaction`.
  Parameters:
    `input` - The `Interaction` that you want to own the `Commit` object.

Method Detail

### setActiveObject

    public void setActiveObject(BaseObject input)

  Makes an analytic workspace the active object. You can specify the analytic workspace to commit by making it the active object with this method or by specifying it with the `setAWName` method. The active object takes precedence over an object that you specify by name.
  Overrides:
    setActiveObject in class AWAction
  Parameters:
    `input` - The `AW` that specifies the analytic workspace to commit.

### setAWName

    public void setAWName(java.lang.String input)

  Specifies the name of the analytic workspace. You can specify the analytic workspace to commit by providing its name with this method or by making it the active object with the `setActiveObject` method. An active object takes precedence over an object that you specify by name.
  Parameters:
    `input` - A `String` that contains the name of the analytic workspace to commit.

### getAWName

    public java.lang.String getAWName()

  Gets the name of the analytic workspace to commit.
  Returns:
    A `String` that contains the name of the analytic workspace specified for the commit action.

### Execute

    public void Execute()

  Commits the analytic workspace.
  Overrides:
    Execute in class AWAction

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `Commit` object.
  Overrides:
    WriteToXML in class AWAction
  Returns:
    A `String` that is an XML representation of the `Commit` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.